org.klomp.snark.bencode

## Class BEncoder

- java.lang.Object
- - org.klomp.snark.bencode.BEncoder

-     public class BEncoder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BEncoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `bencode(byte[] bs)`
    `static void` | `bencode(byte[] bs, OutputStream out)`
    `static byte[]` | `bencode(List l)`
    `static void` | `bencode(List l, OutputStream out)`
    `static byte[]` | `bencode(Map<String,Object> m)`
    `static void` | `bencode(Map<String,Object> m, OutputStream out)`
    `static byte[]` | `bencode(Number n)`
    `static void` | `bencode(Number n, OutputStream out)`
    `static byte[]` | `bencode(Object o)`
    `static void` | `bencode(Object o, OutputStream out)`
    `static byte[]` | `bencode(String s)`
    `static void` | `bencode(String s, OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BEncoder

          public BEncoder()

  - ### Method Detail

    - #### bencode

          public static byte[] bencode(Object o)
                                throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### bencode

          public static void bencode(Object o,
                     OutputStream out)
                              throws IOException,
                                     IllegalArgumentException

      Throws:
        `IOException`
        `IllegalArgumentException`

    - #### bencode

          public static byte[] bencode(String s)

    - #### bencode

          public static void bencode(String s,
                     OutputStream out)
                              throws IOException

      Throws:
        `IOException`

    - #### bencode

          public static byte[] bencode(Number n)

    - #### bencode

          public static void bencode(Number n,
                     OutputStream out)
                              throws IOException

      Throws:
        `IOException`

    - #### bencode

          public static byte[] bencode(List l)

    - #### bencode

          public static void bencode(List l,
                     OutputStream out)
                              throws IOException

      Throws:
        `IOException`

    - #### bencode

          public static byte[] bencode(byte[] bs)

    - #### bencode

          public static void bencode(byte[] bs,
                     OutputStream out)
                              throws IOException

      Throws:
        `IOException`

    - #### bencode

          public static byte[] bencode(Map<String,Object> m)

    - #### bencode

          public static void bencode(Map<String,Object> m,
                     OutputStream out)
                              throws IOException

      Throws:
        `IOException`